%define upstream_name    MouseX-Types-Path-Class
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Path::Class type library for Mouse
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MouseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mouse)
BuildRequires: perl(MouseX::Types)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::UseAllModules)
BuildArch: noarch

%description
MouseX::Types::Path::Class creates common the Mouse manpage types,
coercions and option specifications useful for dealing with the Path::Class
manpage objects as the Mouse manpage attributes.

Coercions (see the Mouse::Util::TypeConstraints manpage) are made from both
'Str' and 'ArrayRef' to both the Path::Class::Dir manpage and the
Path::Class::File manpage objects. If you have the MouseX::Getopt manpage
installed, the Getopt option type ("=s") will be added for both the
Path::Class::Dir manpage and the Path::Class::File manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 30 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 116739
- imported package perl-MouseX-Types-Path-Class


* Thu Jun 30 2011 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
